TICKIT_PENATTR_NAME(3)

NAME
tickit_penattr_name - return the name of a pen attribute

SYNOPSIS
    #include <tickit.h>

    const char * tickit_penattr_name(TickitPenAttr attr);
    TickitPenAttr tickit_penattr_lookup(const char * name);

Link with -ltickit.

DESCRIPTION
tickit_penattr_name() returns the name of the given pen attribute. These names are the lowercase strings given in tickit_pen(7).

tickit_penattr_lookup() returns the attribute constant for a given name. If the name is not recognised then -1 is returned.

RETURN VALUE
tickit_penattr_name() returns a constant string pointer. tickit_penattr_lookup() returns an attribute constant or -1.

SEE ALSO
tickit_pen(7), tickit(7)